com.ihr.xbrl.om

## Class XBRLSchemaErrorListener

- java.lang.Object
- - com.ihr.xbrl.om.XBRLSchemaErrorListener

- All Implemented Interfaces:
    javax.xml.transform.ErrorListener

      public class XBRLSchemaErrorListener
      extends java.lang.Object
      implements javax.xml.transform.ErrorListener

  The listener interface for receiving XBRLSchemaError events. The class that is interested in processing a XBRLSchemaError event implements this interface, and the object created with that class is registered with a component using the component's `addXBRLSchemaErrorListener`method. When the XBRLSchemaError event occurs, that object's appropriate method is invoked.``
  Author:
    Ignacio

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `XBRLSchemaErrorListener()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `clear()` Removes all received messages.
    `void` | `error(javax.xml.transform.TransformerException exception)`
    `void` | `fatalError(javax.xml.transform.TransformerException exception)`
    `void` | `fixup()` check and remove two inconsistencies that are raised when XML Schemas are validated against the schema for schemas.
    `XBRLValidationReport` | `merge(XBRLValidationReport incomingReport)` add errors and warnings to the incoming XBRLValidation report.
    `void` | `setIgnoreFatalErrors(boolean value)` Shall be set when editing a fact in the GUI.
    `void` | `warning(javax.xml.transform.TransformerException exception)`

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### XBRLSchemaErrorListener

          public XBRLSchemaErrorListener()

  - ### Method Detail

    - #### error

          public void error(javax.xml.transform.TransformerException exception)
                     throws javax.xml.transform.TransformerException

      Specified by:
        `error` in interface `javax.xml.transform.ErrorListener`
      Throws:
        `javax.xml.transform.TransformerException`

    - #### fatalError

          public void fatalError(javax.xml.transform.TransformerException exception)
                          throws javax.xml.transform.TransformerException

      Specified by:
        `fatalError` in interface `javax.xml.transform.ErrorListener`
      Throws:
        `javax.xml.transform.TransformerException`

    - #### setIgnoreFatalErrors

          public void setIgnoreFatalErrors(boolean value)

      Shall be set when editing a fact in the GUI.
      Parameters:
        `value` - the new ignore fatal errors

    - #### warning

          public void warning(javax.xml.transform.TransformerException exception)
                       throws javax.xml.transform.TransformerException

      Specified by:
        `warning` in interface `javax.xml.transform.ErrorListener`
      Throws:
        `javax.xml.transform.TransformerException`

    - #### clear

          public void clear()

      Removes all received messages.

    - #### merge

          public XBRLValidationReport merge(XBRLValidationReport incomingReport)

      add errors and warnings to the incoming XBRLValidation report.
      Parameters:
        `incomingReport` - the incoming report
      Returns:
        the XBRL validation report

    - #### fixup

          public void fixup()

      check and remove two inconsistencies that are raised when XML Schemas are validated against the schema for schemas.